tbb::flow::interface9::opencl_range Class Reference

## Public Types

typedef size_t | range_index_type
typedef std::array < range_index_type, 3 > | nd_range_type

## Public Member Functions

template<typename G = std::initializer_list<int>, typename L = std::initializer_list<int>, typename = typename std::enable_if<!std::is_same<typename std::decay<G>::type, opencl_range>::value>::type>
| opencl_range (G &&global_work=std::initializer_list< int >({0}), L &&local_work=std::initializer_list< int >({0, 0, 0}))
const nd_range_type & | global_range () const
const nd_range_type & | local_range () const

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.